Name: pybookreader
Version: 0.5.0
Release: alt6

Summary: PyBookReader is a PyGTK-based GUI book reader

License: GPL
Group: Text tools
Url: http://pybookreader.narod.ru/

Source0: http://dl.sf.net/%name/PyBookReader-%version.tar.gz
Source1: pybookreader.desktop
Source2: ornamentbook.desktop
Source3: %name.png
Source4: fb2.xml
Source5: application-x-fb2.png
Source6: application-x-zip-compressed-fb2.png
Patch0: %name-0.4.11.patch

BuildPreReq: desktop-file-utils shared-mime-info

# Automatically added by buildreq on Mon Feb 26 2007
BuildRequires: libxml2-devel python-dev python-module-pygtk python-modules-encodings

Requires: python-module-pygtk-libglade

%description
PyBookReader is a PyGTK-based GUI book reader

%prep
%setup -q -n PyBookReader-%version
#%%patch0 -p0

%build
python setup.py build

%install
python setup.py install --root=%buildroot --record=INSTALLED_FILES

# application
%__install -D -m 644 %SOURCE1 %buildroot%_datadir/applications/pybookreader.desktop
%__install -D -m 644 %SOURCE2 %buildroot%_datadir/applications/ornamentbook.desktop
%__install -D -m 644 %SOURCE3 %buildroot%_datadir/icons/%name.png

# mime
%__install -D -m 644 %SOURCE4 %buildroot%_datadir/mime/packages/fb2.xml
%__install -D -m 644 %SOURCE5 %buildroot%_datadir/icons/hicolor/48x48/mimetypes/application-x-fb2.png
%__install -D -m 644 %SOURCE6 %buildroot%_datadir/icons/hicolor/48x48/mimetypes/application-x-zip-compressed-fb2.png

%post
%update_mimedb
%update_desktopdb
%update_menus

%postun
%clean_desktopdb
%clean_mimedb
%clean_menus

%files -f INSTALLED_FILES
%_datadir/mime/packages/*
%_datadir/applications/*
%_datadir/icons/*.png
%_datadir/icons/hicolor/48x48/mimetypes/*.png
%dir %python_sitelibdir/ornamentbook
%dir %python_sitelibdir/ornamentbook/hyph_dicts
%dir %python_sitelibdir/ornamentbook/skins
%dir %python_sitelibdir/%name
%dir %python_sitelibdir/%name/dictclient

%changelog
* Mon Jun 16 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 0.5.0-alt6
- fix subdirectory packaging

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt5.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for pybookreader

* Thu Mar 20 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 0.5.0-alt5
- Correct *.desktop files

* Tue Sep 11 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 0.5.0-alt4
- Add requires:python-module-pygtk-libglade (Bug#12733)

* Sun Mar 04 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 0.5.0-alt3
- Enable x-zip-compressed-fb2 mime type support (it works now:-)

* Mon Feb 26 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 0.5.0-alt2
- Correct buildreq

* Tue Jan 30 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 0.5.0-alt1
- Correct buildreq

* Mon Jan 29 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 0.5.0-alt0.1
- 0.5.0 + Ornament Book Reader

* Mon May 22 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 0.4.11-alt0.2.1
- Integrate into GNOME desktop environment

* Mon Oct 24 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.11-alt0.2
- fix arch (bug #8273)

* Tue Jul 12 2005 Vitaly Lipatov <lav@altlinux.ru> 0.4.11-alt0.1
- first build for ALT Linux Sisyphus
